List all billing templates.
GET
ApiKeyheader
AuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
OK
application/json- response
results?array<>next?|The next page of pagination results. null if there are no more results.
previous?|The previous page of pagination results. null if there was no previous page.
curl -X GET 'https://gate.reviopay.com/api/v1/billing_templates/'Example Response200
{ "results": [ { "purchase": { "currency": "str", "products": [ { "name": "string", "quantity": 1, "price": 0, "discount": 0, "tax_percent": 0, "category": "string", "total_price_override": null } ], "total": null, "language": "Default value is controlled in Company -> Brand section of merchant portal separately per each Brand used (default value, if no changes are made, is `en`). Brand to be used with corresponding Purchase/BillingTemplate specified using brand_id.", "notes": "string", "debt": 0, "subtotal_override": null, "total_tax_override": null, "total_discount_override": null, "total_override": null, "request_client_details": [], "timezone": "Europe/Oslo", "due_strict": false, "email_message": "string", "metadata": {}, "single_attempt": false }, "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf", "number_of_billing_cycles": 0, "is_test": true, "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da", "title": "string", "is_subscription": true, "invoice_issued": "2020-04-30", "invoice_due": 1619740800, "invoice_skip_capture": false, "invoice_send_receipt": false, "subscription_period": 1, "subscription_period_units": "months", "subscription_due_period": 7, "subscription_due_period_units": "days", "subscription_charge_period_end": false, "subscription_trial_periods": 0, "subscription_active": false, "subscription_has_active_clients": true, "force_recurring": false, "upsell_campaigns": [ "26b11f47-c6a7-4c09-b770-196490ac710e" ], "referral_campaign_id": "d2266e23-661a-4f4a-bd3d-2b530c5324d4", "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_on": 1619740800, "updated_on": 1619740800 } ], "next": "string", "previous": "string"}